Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class FeedGenerators

    java.lang.Object
      com.sun.syndication.io.impl.PluginManager
          com.sun.syndication.io.impl.FeedGenerators

    public class FeedGenerators

extends PluginManager

Generates an XML document (JDOM Document) out of a Feed.

It can generate all flavors of RSS (0.90, 0.91, 0.92, 0.93, 0.94, 1.0 and 2.0) and Atom 0.3 feed.

WireFeedGenerator instances are thread safe.

Generators for a specific type must extend this class and register in the generator list. (Right now registration is hardcoded in the WireFeedGenerator constructor).

Author:
  Alejandro Abdelnur

Field Summary
`static String` | `FEED_GENERATORS_KEY` WireFeedGenerator.classes= [className] ...

Constructor Summary
`FeedGenerators()`

Method Summary
`WireFeedGenerator` | `getGenerator(String feedType)`
`protected String` | `getKey(Object obj)`
`List` | `getSupportedFeedTypes()`

Methods inherited from class com.sun.syndication.io.impl.PluginManager
`getKeys, getPlugin, getPluginMap, getPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEED_GENERATORS_KEY

    public static final String FEED_GENERATORS_KEY

  WireFeedGenerator.classes= [className] ...

  See Also:
    Constant Field Values

Constructor Detail

### FeedGenerators

    public FeedGenerators()

Method Detail

### getGenerator

    public WireFeedGenerator getGenerator(String feedType)

### getKey

    protected String getKey(Object obj)

  Specified by:
    `getKey` in class `PluginManager`

### getSupportedFeedTypes

    public List getSupportedFeedTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.